﻿<h2>Nuevo</h2>

<form id="itemForm">
    @Html.AntiForgeryToken()
    <input type="hidden" id="entidad" value="Country" />
    <div>
        <label for="nombre" class="fw-bold">Nombre:</label>
        <input type="text" id="nombre" name="nombre" class="form-control custom-width-input">
    </div>
    <div>
        <label for="codigoArea" class="fw-bold">Código de Área:</label>
        <input type="text" id="codigoArea" name="codigoArea" class="form-control custom-width-input">
    </div>
    <div>
        <label for="iso2" class="fw-bold">ISO2:</label>
        <input type="text" id="iso2" name="iso2" class="form-control custom-width-input">
    </div>
    <br />
    <div>
        <button type="button" onclick="fillData()" class="btn btn-primary">Guardar</button>
        <button type="button" onclick="cancelar()" class="btn btn-secondary">Cancelar</button>
    </div>
</form>

<script src="~/js/crud/create.js"></script>

<script>
    function fillData() {
        // Lógica para enviar los datos del formulario al servidor
        console.log("Guardando cambios...");
        // Obtener los valores de los campos del formulario
        const nombre = document.getElementById("nombre").value;
        const codigoArea = document.getElementById("codigoArea").value;
        const iso2 = document.getElementById("iso2").value;

        // Crear un objeto con los datos a enviar en el cuerpo de la solicitud POST
        const postData = {
            'Nombre': nombre,
            'CodigoArea': codigoArea,
            'Iso2': iso2
        };

        guardar(postData);
    }
</script>

